Summary: A record/playback proxy for VNC.
Name: rfbproxy
Version: 0.6.1
Release: 1
License: GPL
Group: Applications/System
URL: http://people.redhat.com/twaugh/rfbproxy/
Source0: ftp://people.redhat.com/twaugh/rfbproxy/devel/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The rfbproxy package is for recording VNC sessions for later playback.
It can record screen updates (from the server) or mouse/keyboard
events (from the viewer).  Use rfbplaymacro to replay mouse/keyboard
events.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 755 rfbproxy $RPM_BUILD_ROOT/%{_bindir}/rfbproxy
install -m 644 rfbproxy.1 $RPM_BUILD_ROOT/%{_mandir}/man1/rfbproxy.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING BUGS
%{_bindir}/rfbproxy
%{_mandir}/*/*

%changelog
* Fri Mar 2 2001 Tim Waugh <twaugh@redhat.com>
- Version 0.6.1.

* Fri Sep 1 2000 Tim Powers <timp@redhat.com>
- built for Powertools
- added README COPYING BUGS as docs in the file list

* Tue Aug  8 2000 Tim Waugh <twaugh@redhat.com>
- Version 0.6.0.

* Mon Aug  7 2000 Tim Waugh <twaugh@redhat.com>
- RPM packaging guide changes

* Wed Aug  2 2000 Tim Waugh <twaugh@redhat.com>
- Use RPM_OPT_FLAGS
- Install man page

* Tue Jul 25 2000 Tim Waugh <twaugh@redhat.com>
- Use version macro in source name
- Version 0.5.1.

* Fri Jul 21 2000 Tim Waugh <twaugh@redhat.com>
- Version 0.5.0.

* Thu Jul 6 2000 Tim Waugh <twaugh@redhat.com>
- Created
